## s390-tools 0.0.20020226

=== Makefile ===
# $Id: Makefile,v 1.8 2000/12/18 07:00:49 gm Exp $

DISTDIR = "parsecfg-`cat src/parsecfg.h | grep "define PARSECFG_VERSION" | sed -e 's/.*"\(.*\)"/\1'/`"

sample:
	cd src; \
	gcc -g -Wall -O2 -o sample parsecfg.c sample.c
clean:
	rm -f src/sample src/sample.cfg.dump src/sample.ini.dump
dist:
	make clean
	mkdir $(DISTDIR)
	cp -r doc po src Makefile $(DISTDIR)
	rm -r $(DISTDIR)/doc/CVS $(DISTDIR)/po/CVS $(DISTDIR)/src/CVS
	tar zcvf $(DISTDIR).tar.gz $(DISTDIR)
	rm -r $(DISTDIR)
genpot:
	xgettext --default-domain=parsecfg --add-comments --keyword=_ --keyword=N_ --output=po/parsecfg.pot src/parsecfg.c

## s390-tools 1.3.1

=== Makefile ===
ARCH := $(shell uname -m | sed -e s/i.86/i386/ -e s/sun4u/sparc64/ -e s/arm.*/arm/ -e s/sa110/arm/)

SUB_DIRS  = libvtoc zipl zdump zfcpdump fdasd dasdfmt dasdview tunedasd tape390 osasnmpd qetharp ip_watcher qethconf scripts zconf

# Include commond definitions
include common.mak

default: subdirs_make

subdirs_make:
	set -e ; for dir in $(SUB_DIRS) ; do \
		( cd $$dir ; make TOPDIR=$(TOPDIR) ARCH=$(ARCH); cd .. ); \
	done

clean:
	set -e ; for dir in $(SUB_DIRS) ; do \
		( cd $$dir ; make TOPDIR=$(TOPDIR) ARCH=$(ARCH) clean; cd .. ); \
	done

clobber: clean
	set -e ; for dir in $(SUB_DIRS) ; do \
		( cd $$dir ; make TOPDIR=$(TOPDIR) ARCH=$(ARCH) clobber; cd .. ); \
	done

install:
	set -e ; for dir in $(SUB_DIRS) ; do \
		( cd $$dir ; make TOPDIR=$(TOPDIR) ARCH=$(ARCH) install; cd .. ); \
	done

=== dasdfmt/Makefile ===
# Include common definitions
include ../common.mak

CFLAGS        = -Wall -I../include

all: dasdfmt

dasdfmt: ../libvtoc/vtoc.o dasdfmt.c dasdfmt.h
	$(CC) $(CFLAGS) -c dasdfmt.c -o dasdfmt.o
	$(CC) dasdfmt.o ../libvtoc/vtoc.o -o dasdfmt 

install:
	$(INSTALL) -d -m 755 $(BINDIR) $(MANDIR)/man8
	$(STRIP) dasdfmt
	$(INSTALL) -g $(GROUP) -o $(OWNER) -m 700 dasdfmt $(BINDIR)
	$(INSTALL) -g $(GROUP) -o $(OWNER) -m 644 dasdfmt.8  $(MANDIR)/man8 

clean:
	rm -f *.o *~ dasdfmt core

=== dasdview/Makefile ===
# Include common definitions
include ../common.mak

CFLAGS        = -Wall -I../include

all: dasdview

dasdview: ../libvtoc/vtoc.o dasdview.c dasdview.h
	$(CC) $(CFLAGS) -c dasdview.c -o dasdview.o
	$(CC) dasdview.o ../libvtoc/vtoc.o -o dasdview 

install:
	$(INSTALL) -d -m 755 $(BINDIR) $(MANDIR)/man8
	$(STRIP) dasdview
	$(INSTALL) -g $(GROUP) -o $(OWNER) -m 700 dasdview $(BINDIR)
	$(INSTALL) -g $(GROUP) -o $(OWNER) -m 644 dasdview.8  $(MANDIR)/man8 

clean:
	rm -f *.o *~ dasdview core

=== fdasd/Makefile ===
# Include common definitions
include ../common.mak

CFLAGS        = -Wall -I../include

all: fdasd

fdasd: ../libvtoc/vtoc.o fdasd.c fdasd.h
	$(CC) $(CFLAGS) -c fdasd.c -o fdasd.o
	$(CC) fdasd.o ../libvtoc/vtoc.o -o fdasd 

install:
	$(INSTALL) -d -m 755 $(BINDIR) $(MANDIR)/man8
	$(STRIP) fdasd
	$(INSTALL) -g $(GROUP) -o $(OWNER) -m 700 fdasd $(BINDIR)
	$(INSTALL) -g $(GROUP) -o $(OWNER) -m 644 fdasd.8  $(MANDIR)/man8 

clean:
	rm -f *.o *~ fdasd core

=== ip_watcher/Makefile ===
# Include common definitions
include ../common.mak

# directories for the programs
IP_WATCHER_DIR = $(INSTROOT)/usr/sbin
STARTER_DIR = $(INSTROOT)/usr/sbin
XCEC_BRIDGE_DIR = $(INSTROOT)/usr/sbin

CFLAGS  = -O2 -Wall

default: ip_watcher.pl xcec-bridge start_hsnc.sh

clean:
	rm -f core xcec-bridge

install: ip_watcher.pl xcec-bridge
	$(INSTALL) -g $(GROUP) -o $(OWNER) -m 755 ip_watcher.pl $(IP_WATCHER_DIR)
	$(INSTALL) -g $(GROUP) -o $(OWNER) -m 755 start_hsnc.sh $(STARTER_DIR)
	$(INSTALL) -g $(GROUP) -o $(OWNER) -m 755 xcec-bridge $(XCEC_BRIDGE_DIR)

xcec-bridge: xcec-bridge.c
	$(CC) $(CFLAGS) -o xcec-bridge xcec-bridge.c

ip_watcher.pl:

start_hsnc.sh:

=== libvtoc/Makefile ===
# Include common definitions
include ../common.mak

CFLAGS        = -Wall -I../include

all: vtoc.o

vtoc.o: vtoc.c ../include/vtoc.h
	$(CC) $(CFLAGS) -c vtoc.c -o vtoc.o

clean:
	rm -f *.o *~ core

=== osasnmpd/Makefile ===
# Makefile im Top-Level-Verzeichnis
include Makefile.rules
include ../common.mak


DIRS = osasnmpd-2.4 osasnmpd-2.6

all:
	for i in $(DIRS); do make -C $$i; done


clean:
	for i in $(DIRS); do make clean -C $$i; done

install:
	$(INSTALL) -d -m 755 $(SNMPDIR) $(MANDIR)/man8
	for i in $(DIRS); do make install -C $$i; done
	$(INSTALL) -g $(GROUP) -o $(OWNER) -m 700 osasnmpd $(SNMPDIR)
	$(INSTALL) -g $(GROUP) -o $(OWNER) -m 644 osasnmpd.8  $(MANDIR)/man8

=== qetharp/Makefile ===
# Common definitions
include ../common.mak

CFLAGS        = -Wall -O2

all: qetharp-2.4 qetharp-2.6

qetharp-2.4: qetharp24.c
	$(CC) $(CFLAGS) -o qetharp-2.4 qetharp24.c

qetharp-2.6: qetharp26.c
	$(CC) $(CFLAGS) -o qetharp-2.6 qetharp26.c

install: all
	$(INSTALL) -d -m 755 $(MANDIR)/man8 $(BINDIR)
	$(INSTALL) -m 700 qetharp $(BINDIR)
	$(INSTALL) -m 700 qetharp-2.4 $(BINDIR)
	$(INSTALL) -m 700 qetharp-2.6 $(BINDIR)
	$(INSTALL) -m 644 qetharp.8 $(MANDIR)/man8 

clean:
	rm -f qetharp-2.4 qetharp-2.6 *.o *~ core

=== qethconf/Makefile ===
# Common definitions
include ../common.mak

all: qethconf
	
qethconf: 
	        
install: qethconf
	$(INSTALL) -d -m 755 $(BINDIR) $(MANDIR)/man8
	$(INSTALL) -g $(GROUP) -o $(OWNER) -m 700 qethconf $(BINDIR)
	$(INSTALL) -g $(GROUP) -o $(OWNER) -m 644 qethconf.8  $(MANDIR)/man8

clean:

=== scripts/Makefile ===
# Include common definitions
include ../common.mak

# directory for the script
DBGINFODIR = $(INSTROOT)/bin 

default: dbginfo.sh

clean:

install: dbginfo.sh
	$(INSTALL) -g $(GROUP) -o $(OWNER) -m 755 dbginfo.sh $(DBGINFODIR)

dbginfo.sh:

=== tape390/Makefile ===
# Common definitions
include ../common.mak

CFLAGS        = -Wall -D_FILE_OFFSET_BITS=64 -L.
SRCS          = tape390_display.c

all: tape390_display

tape390_display: tape390_display.c
	$(CC) $(CFLAGS) -o tape390_display $(SRCS)

install: all
	$(INSTALL) -d -m 755 $(BINDIR) $(MANDIR)/man8
	$(STRIP) tape390_display
	$(INSTALL) -g $(GROUP) -o $(OWNER) -m 700 tape390_display $(BINDIR)
	$(INSTALL) -g $(GROUP) -o $(OWNER) -m 644 tape390_display.8  $(MANDIR)/man8

clean:
	rm -f *.o *~ tape390_display core

=== tunedasd/Makefile ===
# Common definitions
include ../common.mak

all:
	$(MAKE) -C src

install:
	$(MAKE) -C src install
	$(MAKE) -C man install

clean:
	$(MAKE) -C src clean

## s390-tools 1.5.3

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,13 @@
 ARCH := $(shell uname -m | sed -e s/i.86/i386/ -e s/sun4u/sparc64/ -e s/arm.*/arm/ -e s/sa110/arm/)
-
-SUB_DIRS  = libvtoc zipl zdump zfcpdump fdasd dasdfmt dasdview tunedasd tape390 osasnmpd qetharp ip_watcher qethconf scripts zconf
 
 # Include commond definitions
 include common.mak
+
+SUB_DIRS  = libvtoc zipl zdump zfcpdump fdasd dasdfmt dasdview tunedasd tape390 osasnmpd qetharp ip_watcher qethconf scripts zconf vmconvert zt_error vmcp
+
+ifeq ($(strip $(SYSFS)),true)
+	SUB_DIRS+=libu2s
+endif
 
 default: subdirs_make

=== dasdfmt/Makefile ===
# Include common definitions
include ../common.mak

CFLAGS        = -Wall -I../include -DS390_TOOLS_RELEASE=$(S390_TOOLS_RELEASE)

all: dasdfmt

dasdfmt: ../libvtoc/vtoc.o dasdfmt.c dasdfmt.h ../include/zt_common.h
	$(CC) $(CFLAGS) -c dasdfmt.c -o dasdfmt.o
	$(CC) dasdfmt.o ../libvtoc/vtoc.o -o dasdfmt 

install:
	$(INSTALL) -d -m 755 $(BINDIR) $(MANDIR)/man8
	$(STRIP) dasdfmt
	$(INSTALL) -g $(GROUP) -o $(OWNER) -m 755 dasdfmt $(BINDIR)
	$(INSTALL) -g $(GROUP) -o $(OWNER) -m 644 dasdfmt.8  $(MANDIR)/man8 

clean:
	rm -f *.o *~ dasdfmt core

=== dasdview/Makefile ===
# Include common definitions
include ../common.mak

CFLAGS        = -Wall -I../include -DS390_TOOLS_RELEASE=$(S390_TOOLS_RELEASE)
LIB_OBJECTS   = ../libvtoc/vtoc.o ../zt_error/zt_error.o
LIBS          = 
ifeq ($(strip $(SYSFS)),true)
	LIB_OBJECTS+=../libu2s/u2s.o
	CFLAGS+=-DSYSFS
	LIBS+=-static -lsysfs
endif	

all: dasdview

dasdview: $(LIB_OBJECTS) dasdview.c dasdview.h
	$(CC) $(CFLAGS) -c dasdview.c -o dasdview.o
	$(CC) dasdview.o $(LIB_OBJECTS) -o dasdview $(LIBS)

install:
	$(INSTALL) -d -m 755 $(BINDIR) $(MANDIR)/man8
	$(STRIP) dasdview
	$(INSTALL) -g $(GROUP) -o $(OWNER) -m 755 dasdview $(BINDIR)
	$(INSTALL) -g $(GROUP) -o $(OWNER) -m 644 dasdview.8  $(MANDIR)/man8 

clean:
	rm -f *.o *~ dasdview core

=== fdasd/Makefile ===
# Include common definitions
include ../common.mak

CFLAGS        = -Wall -I../include -DS390_TOOLS_RELEASE=$(S390_TOOLS_RELEASE)

all: fdasd

fdasd: ../libvtoc/vtoc.o fdasd.c fdasd.h
	$(CC) $(CFLAGS) -c fdasd.c -o fdasd.o
	$(CC) fdasd.o ../libvtoc/vtoc.o -o fdasd 

install:
	$(INSTALL) -d -m 755 $(BINDIR) $(MANDIR)/man8
	$(STRIP) fdasd
	$(INSTALL) -g $(GROUP) -o $(OWNER) -m 755 fdasd $(BINDIR)
	$(INSTALL) -g $(GROUP) -o $(OWNER) -m 644 fdasd.8  $(MANDIR)/man8 

clean:
	rm -f *.o *~ fdasd core

=== ip_watcher/Makefile ===
--- 
+++ 
@@ -13,9 +13,13 @@
 clean:
 	rm -f core xcec-bridge
 
-install: ip_watcher.pl xcec-bridge
+install: ip_watcher.pl xcec-bridge start_hsnc.sh
+	@cat start_hsnc.sh | \
+	sed -e 's+%S390_TOOLS_VERSION%+$(S390_TOOLS_RELEASE)+' \
+	>$(STARTER_DIR)/start_hsnc.sh; \
+	chown $(OWNER).$(GROUP) $(STARTER_DIR)/start_hsnc.sh; \
+	chmod 755 $(STARTER_DIR)/start_hsnc.sh; \
 	$(INSTALL) -g $(GROUP) -o $(OWNER) -m 755 ip_watcher.pl $(IP_WATCHER_DIR)
-	$(INSTALL) -g $(GROUP) -o $(OWNER) -m 755 start_hsnc.sh $(STARTER_DIR)
 	$(INSTALL) -g $(GROUP) -o $(OWNER) -m 755 xcec-bridge $(XCEC_BRIDGE_DIR)
 
 xcec-bridge: xcec-bridge.c

=== libu2s/Makefile ===
# Include common definitions
include ../common.mak

CFLAGS        = -Wall -I../include

all: u2s.o

u2s.o: u2s.c ../include/u2s.h
	$(CC) $(CFLAGS) -c u2s.c -o u2s.o

install:

clean:
	rm -f *.o *~ core

=== libvtoc/Makefile ===
--- 
+++ 
@@ -8,6 +8,8 @@
 vtoc.o: vtoc.c ../include/vtoc.h
 	$(CC) $(CFLAGS) -c vtoc.c -o vtoc.o
 
+install:
+
 clean:
 	rm -f *.o *~ core

=== osasnmpd/Makefile ===
--- 
+++ 
@@ -15,6 +15,6 @@
 install:
 	$(INSTALL) -d -m 755 $(SNMPDIR) $(MANDIR)/man8
 	for i in $(DIRS); do make install -C $$i; done
-	$(INSTALL) -g $(GROUP) -o $(OWNER) -m 700 osasnmpd $(SNMPDIR)
+	$(INSTALL) -g $(GROUP) -o $(OWNER) -m 755 osasnmpd $(SNMPDIR)
 	$(INSTALL) -g $(GROUP) -o $(OWNER) -m 644 osasnmpd.8  $(MANDIR)/man8

=== qetharp/Makefile ===
# Common definitions
include ../common.mak

CFLAGS        = -Wall -O2 -DS390_TOOLS_RELEASE=$(S390_TOOLS_RELEASE)

all: qetharp-2.4 qetharp-2.6

qetharp-2.4: qetharp24.c
	$(CC) $(CFLAGS) -o qetharp-2.4 qetharp24.c

qetharp-2.6: qetharp26.c
	$(CC) $(CFLAGS) -o qetharp-2.6 qetharp26.c

install: all
	$(INSTALL) -d -m 755 $(MANDIR)/man8 $(BINDIR)
	$(INSTALL) -m 755 qetharp $(BINDIR)
	$(INSTALL) -m 755 qetharp-2.4 $(BINDIR)
	$(INSTALL) -m 755 qetharp-2.6 $(BINDIR)
	$(INSTALL) -m 644 qetharp.8 $(MANDIR)/man8 

clean:
	rm -f qetharp-2.4 qetharp-2.6 *.o *~ core

=== qethconf/Makefile ===
# Common definitions
include ../common.mak

all: qethconf
	
qethconf: 
	        
install: qethconf
	@echo Installing qethconf; \
	cat qethconf | \
	sed -e 's+%S390_TOOLS_VERSION%+$(S390_TOOLS_RELEASE)+' \
	>$(BINDIR)/qethconf; \
	chown $(OWNER).$(GROUP) $(BINDIR)/qethconf; \
	chmod 755 $(BINDIR)/qethconf; \
	$(INSTALL) -d -m 755 $(BINDIR) $(MANDIR)/man8
	$(INSTALL) -g $(GROUP) -o $(OWNER) -m 644 qethconf.8  $(MANDIR)/man8

clean:

=== scripts/Makefile ===
include ../common.mak

BINDEST = $(INSTROOT)/bin
MANDEST = $(MANDIR)/man1

SCRIPTS	= dbginfo.sh zfcpdbf scsi_logging_level
MANPAGES = zfcpdbf.1.gz

clean:
	rm -f zfcpdbf
	rm -f zfcpdbf.1.gz

all: $(SCRIPTS) $(MANPAGES)

install: $(SCRIPTS) $(MANPAGES)
	-$(INSTALL) -d -m 755 $(BINDEST) $(MANDEST)
	@for i in $(SCRIPTS); \
	do \
		echo "installing $$i to $(BINDEST)";\
		cat $$i | \
		sed -e 's+%S390_TOOLS_VERSION%+$(S390_TOOLS_RELEASE)+' \
		>$(BINDEST)/$$i; \
		chown $(OWNER):$(GROUP) $(BINDEST)/$$i; \
		chmod 755 $(BINDEST)/$$i; \
	done
	@for i in $(MANPAGES); \
	do \
		$(INSTALL) -g $(GROUP) -o $(OWNER) -m 644 $$i $(MANDEST); \
	done

zfcpdbf: zfcpdbf.pl
	cp zfcpdbf.pl zfcpdbf

zfcpdbf.1.gz: zfcpdbf.1
	gzip < zfcpdbf.1 > zfcpdbf.1.gz

=== tape390/Makefile ===
# Common definitions
include ../common.mak

CFLAGS        = -Wall -D_FILE_OFFSET_BITS=64 \
		-DS390_TOOLS_RELEASE=$(S390_TOOLS_RELEASE) -L.
SRCS          = tape390_display.c

all: tape390_display

tape390_display: tape390_display.c
	$(CC) $(CFLAGS) -o $@ $(SRCS)

install: all
	$(INSTALL) -d -m 755 $(BINDIR) $(MANDIR)/man8
	$(STRIP) tape390_display
	$(INSTALL) -g $(GROUP) -o $(OWNER) -m 755 tape390_display $(BINDIR)
	$(INSTALL) -g $(GROUP) -o $(OWNER) -m 644 tape390_display.8  $(MANDIR)/man8

clean:
	rm -f *.o *~ tape390_display core

## s390-tools 1.6.2

=== Makefile ===
ARCH := $(shell uname -m | sed -e s/i.86/i386/ -e s/sun4u/sparc64/ -e s/arm.*/arm/ -e s/sa110/arm/)

# Include commond definitions
include common.mak

SUB_DIRS  = libvtoc zipl zdump zfcpdump fdasd dasdfmt dasdview tunedasd tape390 osasnmpd qetharp ip_watcher qethconf scripts zconf vmconvert vmcp man mon_tools dasdinfo vmur

ifeq ($(strip $(SYSFS)),true)
	SUB_DIRS+=libu2s
endif

all: subdirs_make

subdirs_make:
	set -e ; for dir in $(SUB_DIRS) ; do \
		( cd $$dir ; make TOPDIR=$(TOPDIR) ARCH=$(ARCH); cd .. ); \
	done

clean:
	set -e ; for dir in $(SUB_DIRS) ; do \
		( cd $$dir ; make TOPDIR=$(TOPDIR) ARCH=$(ARCH) clean; cd .. ); \
	done

install: all
	set -e ; for dir in $(SUB_DIRS) ; do \
		( cd $$dir ; make TOPDIR=$(TOPDIR) ARCH=$(ARCH) install; cd .. ); \
	done

=== dasdfmt/Makefile ===
# Include common definitions
include ../common.mak

CFLAGS       += -I../include

all: dasdfmt

dasdfmt: ../libvtoc/vtoc.o dasdfmt.c dasdfmt.h ../include/zt_common.h
	$(CC) $(CFLAGS) -c dasdfmt.c -o dasdfmt.o
	$(CC) dasdfmt.o ../libvtoc/vtoc.o -o dasdfmt 

install: all
	$(INSTALL) -d -m 755 $(BINDIR) $(MANDIR)/man8
	$(INSTALL) -s -g $(GROUP) -o $(OWNER) -m 755 dasdfmt $(BINDIR)
	$(INSTALL) -g $(GROUP) -o $(OWNER) -m 644 dasdfmt.8  $(MANDIR)/man8 

clean:
	rm -f *.o *~ dasdfmt core

.PHONY: all install clean

=== dasdinfo/Makefile ===
# Include common definitions
include ../common.mak

CFLAGS        += -I../include
LIB_OBJECTS   =
LIBS          =
ifeq ($(strip $(SYSFS)),true)
	LIB_OBJECTS+=../libu2s/u2s.o
	CFLAGS+=-DSYSFS
endif

all: dasdinfo

dasdinfo: $(LIB_OBJECTS) dasdinfo.c
	$(CC) $(CFLAGS) -c dasdinfo.c -o dasdinfo.o
	$(CC) dasdinfo.o $(LIB_OBJECTS) -o dasdinfo $(LIBS)

install: all
	$(INSTALL) -d -m 755 $(BINDIR) $(MANDIR)/man8
	$(INSTALL) -s -g $(GROUP) -o $(OWNER) -m 755 dasdinfo $(BINDIR)
	$(INSTALL) -g $(GROUP) -o $(OWNER) -m 644 dasdinfo.8  $(MANDIR)/man8

clean:
	rm -f *.o *~ dasdinfo core

.PHONY: all install clean

=== dasdview/Makefile ===
# Include common definitions
include ../common.mak

CFLAGS        += -I../include
LIB_OBJECTS   = ../libvtoc/vtoc.o
LIBS          = 
ifeq ($(strip $(SYSFS)),true)
	LIB_OBJECTS+=../libu2s/u2s.o
	CFLAGS+=-DSYSFS
endif	

all: dasdview

dasdview: $(LIB_OBJECTS) dasdview.c dasdview.h
	$(CC) $(CFLAGS) -c dasdview.c -o dasdview.o
	$(CC) dasdview.o $(LIB_OBJECTS) -o dasdview $(LIBS)

install: all
	$(INSTALL) -d -m 755 $(BINDIR) $(MANDIR)/man8
	$(INSTALL) -s -g $(GROUP) -o $(OWNER) -m 755 dasdview $(BINDIR)
	$(INSTALL) -g $(GROUP) -o $(OWNER) -m 644 dasdview.8  $(MANDIR)/man8 

clean:
	rm -f *.o *~ dasdview core

.PHONY: all install clean

=== fdasd/Makefile ===
# Include common definitions
include ../common.mak

CFLAGS        += -I../include

all: fdasd

fdasd: ../libvtoc/vtoc.o fdasd.c fdasd.h
	$(CC) $(CFLAGS) -c fdasd.c -o fdasd.o
	$(CC) fdasd.o ../libvtoc/vtoc.o -o fdasd 

install: all
	$(INSTALL) -d -m 755 $(BINDIR) $(MANDIR)/man8
	$(INSTALL) -s -g $(GROUP) -o $(OWNER) -m 755 fdasd $(BINDIR)
	$(INSTALL) -g $(GROUP) -o $(OWNER) -m 644 fdasd.8  $(MANDIR)/man8 

clean:
	rm -f *.o *~ fdasd core

.PHONY: all install clean

=== ip_watcher/Makefile ===
# Include common definitions
include ../common.mak

all: xcec-bridge

clean:
	rm -f core xcec-bridge

install: ip_watcher.pl xcec-bridge start_hsnc.sh
	@cat start_hsnc.sh | \
	sed -e 's+%S390_TOOLS_VERSION%+$(S390_TOOLS_RELEASE)+' \
	>$(USRSBINDIR)/start_hsnc.sh; \
	chown $(OWNER).$(GROUP) $(USRSBINDIR)/start_hsnc.sh; \
	chmod 755 $(USRSBINDIR)/start_hsnc.sh; \
	$(INSTALL) -g $(GROUP) -o $(OWNER) -m 755 ip_watcher.pl $(USRSBINDIR)
	$(INSTALL) -s -g $(GROUP) -o $(OWNER) -m 755 xcec-bridge $(USRSBINDIR)

xcec-bridge: xcec-bridge.c
	$(CC) $(CFLAGS) -o xcec-bridge xcec-bridge.c

.PHONY: all install clean

=== libu2s/Makefile ===
# Include common definitions
include ../common.mak

CFLAGS        += -I../include

all: u2s.o

u2s.o: u2s.c ../include/u2s.h
	$(CC) $(CFLAGS) -c u2s.c -o u2s.o

install:

clean:
	rm -f *.o *~ core

=== libvtoc/Makefile ===
# Include common definitions
include ../common.mak

CFLAGS        += -I../include

all: vtoc.o

vtoc.o: vtoc.c ../include/vtoc.h
	$(CC) $(CFLAGS) -c vtoc.c -o vtoc.o

install:

clean:
	rm -f *.o *~ core

=== man/Makefile ===
include ../common.mak

all:

clean:

install:
	$(INSTALL) -d -m 755 $(MANDIR)/man8
	$(INSTALL) -g $(GROUP) -o $(OWNER) -m 644 dumpconf.8 $(MANDIR)/man8
	$(INSTALL) -d -m 755 $(MANDIR)/man4
	$(INSTALL) -g $(GROUP) -o $(OWNER) -m 644 prandom.4 $(MANDIR)/man4

.PHONY: all install clean

=== mon_tools/Makefile ===
# Include common definitions
include ../common.mak

CFLAGS += -I../include

all: mon_fsstatd mon_procd

mon_fsstatd: mon_fsstatd.c mon_fsstatd.h
	$(CC) $(CFLAGS) -o mon_fsstatd mon_fsstatd.c

mon_procd: mon_procd.c mon_procd.h
	$(CC) $(CFLAGS) -o mon_procd mon_procd.c

install: all
	$(INSTALL) -s -g $(GROUP) -o $(OWNER) -m 755 mon_fsstatd $(USRSBINDIR)
	$(INSTALL) -g $(GROUP) -o $(OWNER) -m 644 mon_fsstatd.8  $(MANDIR)/man8
	$(INSTALL) -s -g $(GROUP) -o $(OWNER) -m 755 mon_procd $(USRSBINDIR)
	$(INSTALL) -g $(GROUP) -o $(OWNER) -m 644 mon_procd.8 $(MANDIR)/man8

clean:
	rm -f *.o *~ mon_fsstatd mon_procd core

.PHONY: all install clean

=== osasnmpd/Makefile ===
# Makefile im Top-Level-Verzeichnis
include Makefile.rules
include ../common.mak

DIRS = osasnmpd-2.4 osasnmpd-2.6

all:
	for i in $(DIRS); do make -C $$i; done

clean:
	for i in $(DIRS); do make clean -C $$i; done

install: all
	$(INSTALL) -d -m 755 $(USRSBINDIR) $(MANDIR)/man8
	for i in $(DIRS); do make install -C $$i; done
	$(INSTALL) -g $(GROUP) -o $(OWNER) -m 755 osasnmpd $(USRSBINDIR)
	$(INSTALL) -g $(GROUP) -o $(OWNER) -m 644 osasnmpd.8  $(MANDIR)/man8

.PHONY: all install clean

=== qetharp/Makefile ===
# Common definitions
include ../common.mak

CFLAGS        += -I../include

all: qetharp-2.4 qetharp-2.6

qetharp-2.4: qetharp24.c
	$(CC) $(CFLAGS) -o qetharp-2.4 qetharp24.c

qetharp-2.6: qetharp26.c
	$(CC) $(CFLAGS) -o qetharp-2.6 qetharp26.c

install: all
	$(INSTALL) -d -m 755 $(MANDIR)/man8 $(BINDIR)
	$(INSTALL) -m 755 qetharp $(BINDIR)
	$(INSTALL) -s -m 755 qetharp-2.4 $(BINDIR)
	$(INSTALL) -s -m 755 qetharp-2.6 $(BINDIR)
	$(INSTALL) -m 644 qetharp.8 $(MANDIR)/man8 

clean:
	rm -f qetharp-2.4 qetharp-2.6 *.o *~ core

.PHONY: all install clean

## s390-tools 1.8.3

=== Makefile ===
ARCH := $(shell uname -m | sed -e s/i.86/i386/ -e s/sun4u/sparc64/ -e s/arm.*/arm/ -e s/sa110/arm/)

# Include commond definitions
include common.mak

LIB_DIRS = libvtoc libu2s
SUB_DIRS = $(LIB_DIRS) zipl zdump fdasd dasdfmt dasdview tunedasd \
	   tape390 osasnmpd qetharp ip_watcher qethconf scripts zconf \
	   vmconvert vmcp man mon_tools dasdinfo vmur cpuplugd ipl_tools \
	   ziomon iucvterm

all: subdirs_make

subdirs_make:
	set -e ; for dir in $(SUB_DIRS) ; do \
		( cd $$dir ; $(MAKE) TOPDIR=$(TOPDIR) ARCH=$(ARCH); cd .. ); \
	done

clean:
	set -e ; for dir in $(SUB_DIRS) ; do \
		( cd $$dir ; $(MAKE) TOPDIR=$(TOPDIR) ARCH=$(ARCH) clean; cd .. ); \
	done

install:
	set -e ; for dir in $(SUB_DIRS) ; do \
		( cd $$dir ; $(MAKE) TOPDIR=$(TOPDIR) ARCH=$(ARCH) install; cd .. ); \
	done

=== cpuplugd/Makefile ===
include ../common.mak

CFLAGS += -I../include

all: cpuplugd

LDLIBS = -lpthread

OBJECTS = daemon.o cpu.o info.o terms.o config.o main.o getopt.o mem.o vmstat.o
$(OBJECTS): cpuplugd.h

cpuplugd: $(OBJECTS)
	$(LINK) $^ -o $@ $(LDLIBS)

clean:
	rm -f cpuplugd $(OBJECTS)

install: all
	$(INSTALL) -g $(GROUP) -o $(OWNER) -m 755 cpuplugd $(USRSBINDIR)
	$(INSTALL) -g $(GROUP) -o $(OWNER) -m 644 man/cpuplugd.8 $(MANDIR)/man8
	$(INSTALL) -g $(GROUP) -o $(OWNER) -m 644 man/cpuplugd.conf.5 \
		$(MANDIR)/man5

.PHONY: all install clean

=== dasdview/Makefile ===
include ../common.mak

CPPFLAGS += -I../include -DSYSFS

all: dasdview

dasdview.o: dasdview.h ../include/zt_common.h

dasdview: dasdview.o ../libvtoc/vtoc.o ../libu2s/u2s.o

install: all
	$(INSTALL) -d -m 755 $(BINDIR) $(MANDIR)/man8
	$(INSTALL) -g $(GROUP) -o $(OWNER) -m 755 dasdview $(BINDIR)
	$(INSTALL) -g $(GROUP) -o $(OWNER) -m 644 dasdview.8  $(MANDIR)/man8 

clean:
	rm -f *.o *~ dasdview core

.PHONY: all install clean

=== ipl_tools/Makefile ===
include ../common.mak

CPPFLAGS += -I../include

all: chreipl

objects = main.o getopt.o ccw.o fcp.o system.o sa.o ipl.o
$(objects): chreipl.h

chreipl: $(objects)
	$(LINK) $^ -o $@
	ln -sf chreipl lsreipl
	ln -sf chreipl chshut
	ln -sf chreipl lsshut

clean:
	rm -f *.o lsreipl chreipl chshut lsshut

install: all
	$(INSTALL) -g $(GROUP) -o $(OWNER) -m 755 chreipl $(USRSBINDIR)
	ln -f -s chreipl $(USRSBINDIR)/lsreipl
	ln -f -s chreipl $(USRSBINDIR)/chshut
	ln -f -s chreipl $(USRSBINDIR)/lsshut
	$(INSTALL) -g $(GROUP) -o $(OWNER) -m 644 man/chreipl.8 $(MANDIR)/man8
	$(INSTALL) -g $(GROUP) -o $(OWNER) -m 644 man/lsreipl.8 $(MANDIR)/man8
	$(INSTALL) -g $(GROUP) -o $(OWNER) -m 644 man/lsshut.8 $(MANDIR)/man8
	$(INSTALL) -g $(GROUP) -o $(OWNER) -m 644 man/chshut.8 $(MANDIR)/man8

.PHONY: all install clean

=== iucvterm/Makefile ===
#! /usr/bin/make -f

include ../common.mak


GETTEXT_TEXTDOMAIN = iucvterm
export GETTEXT_TEXTDOMAIN


SUBDIRS = src po doc bin etc test
RECURSIVE_TARGETS = all-recursive install-recursive clean-recursive \
                    check-recursive


all: all-recursive
check: check-recursive
install: all install-recursive
clean: clean-recursive


$(RECURSIVE_TARGETS):
	@target=`echo $@ |sed s/-recursive//`; \
	for d in $(SUBDIRS); do \
		(cd $$d && $(MAKE) $$target) \
	done


.PHONY: install clean

=== mon_tools/Makefile ===
include ../common.mak

CPPFLAGS += -I../include

all: mon_fsstatd mon_procd

mon_fsstatd.o: mon_fsstatd.h
mon_fsstatd: mon_fsstatd.o

mon_procd.o: mon_procd.h
mon_procd: mon_procd.o

install: all
	$(INSTALL) -g $(GROUP) -o $(OWNER) -m 755 mon_fsstatd $(USRSBINDIR)
	$(INSTALL) -g $(GROUP) -o $(OWNER) -m 644 mon_fsstatd.8  $(MANDIR)/man8
	$(INSTALL) -g $(GROUP) -o $(OWNER) -m 755 mon_procd $(USRSBINDIR)
	$(INSTALL) -g $(GROUP) -o $(OWNER) -m 644 mon_procd.8 $(MANDIR)/man8

clean:
	rm -f *.o *~ mon_fsstatd mon_procd core

.PHONY: all install clean

=== osasnmpd/Makefile ===
include ../common.mak
include Makefile.rules

all: osasnmpd

osasnmpd: $(OBJS)

install: all
	$(INSTALL) -d -m 755 $(USRSBINDIR) $(MANDIR)/man8
	$(INSTALL) -g $(GROUP) -o $(OWNER) -m 755 osasnmpd $(USRSBINDIR)
	$(INSTALL) -g $(GROUP) -o $(OWNER) -m 644 osasnmpd.8  $(MANDIR)/man8

clean:
	rm -f $(OBJS) osasnmpd core

.PHONY: all install clean

=== vmconvert/Makefile ===
include ../common.mak

CPPFLAGS += -D_FILE_OFFSET_BITS=64 -I../include

all: vmconvert

lkcd_dump.o: lkcd_dump.cpp lkcd_dump.h
vm_dump.o: vm_dump.cpp vm_dump.h
dump.o: dump.cpp dump.h
register_content.o: register_content.cpp register_content.h
convert.o: convert.cpp vm_dump.h lkcd_dump.h

vmconvert: main.o lkcd_dump.o vm_dump.o register_content.o dump.o convert.o
	$(LINKXX) $^ -o $@ -lz

install: all
	$(INSTALL) -d -m 755 $(USRBINDIR) $(MANDIR)/man8
	$(INSTALL) -g $(GROUP) -o $(OWNER) -m 755 vmconvert $(USRBINDIR)
	$(INSTALL) -g $(GROUP) -o $(OWNER) -m 644 vmconvert.8  $(MANDIR)/man8

clean:
	rm -f *.o *~ vmconvert core

.PHONY: all install clean

=== vmur/Makefile ===
# Common definitions
include ../common.mak

CPPFLAGS += -D_FILE_OFFSET_BITS=64 -I../include -I../vmconvert
VMCONVERT_SRC	= ../vmconvert/convert.cpp ../vmconvert/lkcd_dump.cpp \
		  ../vmconvert/vm_dump.cpp ../vmconvert/register_content.cpp \
		  ../vmconvert/dump.cpp ../vmconvert/dump.h \
		  ../vmconvert/lkcd_dump.h ../vmconvert/register_content.h \
		  ../vmconvert/vm_dump.h
VMCONVERT_OBJS	= ../vmconvert/convert.o ../vmconvert/lkcd_dump.o \
		  ../vmconvert/vm_dump.o ../vmconvert/register_content.o \
		  ../vmconvert/dump.o

OBJS = vmur.o $(VMCONVERT_OBJS)

all: vmur

vmur.o: vmur.cpp vmur.h $(VMCONVERT_SRC)

vmur: $(OBJS)
	$(LINKXX) $^ -o $@ -lz

install: all
	$(INSTALL) -d -m 755 $(USRSBINDIR) $(MANDIR)/man8
	$(INSTALL) -g $(GROUP) -o $(OWNER) -m 755 vmur $(USRSBINDIR)
	$(INSTALL) -g $(GROUP) -o $(OWNER) -m 644 vmur.8 \
		$(MANDIR)/man8

clean:
	rm -f *.o *~ vmur

.PHONY: all install clean

=== zconf/Makefile ===
#==============================================================================
# Makefile for zSeries configuration utilities.
#==============================================================================
include ../common.mak

SCRIPTS	= lsdasd lstape lscss chccwdev lsqeth lszfcp lschp chchp lszcrypt \
	  chzcrypt lsluns cio_ignore znetconf
MANPAGES= lsdasd.8 lstape.8 lscss.8 chccwdev.8 lsqeth.8 lszfcp.8 lschp.8 \
	  chchp.8 lszcrypt.8 chzcrypt.8 lsluns.8 cio_ignore.8 znetconf.8

all:

clean:

install:	install-scripts install-manpages
	$(INSTALL) -g $(GROUP) -o $(OWNER) -m 755 lsznet.raw $(TOOLS_LIBDIR)
	$(INSTALL) -g $(GROUP) -o $(OWNER) -m 755 znetcontrolunits \
		$(TOOLS_LIBDIR)

install-scripts:	$(SCRIPTS)
	@for i in $^; do \
		cat $$i | \
		sed -e 's+%S390_TOOLS_VERSION%+$(S390_TOOLS_RELEASE)+' \
		>$(BINDIR)/$$i; \
		chown $(OWNER).$(GROUP) $(BINDIR)/$$i; \
		chmod 755 $(BINDIR)/$$i; \
	done

install-manpages:	$(MANPAGES)
	@if [ ! -d $(MANDIR) ]; then \
		mkdir -p $(MANDIR)/man8; \
		chown $(OWNER).$(GROUP) $(MANDIR); \
		chown $(OWNER).$(GROUP) $(MANDIR)/man8; \
		chmod 755 $(MANDIR); \
		chmod 755 $(MANDIR)/man8; \
	fi; \
	for i in $^; do \
		install -o $(OWNER) -g $(GROUP) -m 644 $$i $(MANDIR)/man8; \
	done

.PHONY: all install clean install-scripts install-manpages

=== zdump/Makefile ===
include ../common.mak

CPPFLAGS += -D_FILE_OFFSET_BITS=64 -I../include

all: zgetdump

zgetdump.o: zgetdump.h
zgetdump: zgetdump.o

install: all
	$(INSTALL) -d -m 755 $(MANDIR)/man8 $(BINDIR)
	$(INSTALL) -m 755 zgetdump $(BINDIR)
	$(INSTALL) -m 644 zgetdump.8 $(MANDIR)/man8 

clean:
	rm -f *.o *~ zgetdump core

.PHONY: all install clean

=== zfcpdump/Makefile ===
#
# Toplevel Makefile for zfcpdump
#
# Copyright IBM Corp. 2003, 2006.
# Author(s): Michael Holzheu <holzheu@de.ibm.com>
#

-include ../common.mak
-include ./config

ARCH := $(shell uname -m | sed -e s/i.86/i386/ -e s/sun4u/sparc64/ -e s/arm.*/arm/ -e s/sa110/arm/)

all: subdirs_make

SUB_DIRS = kernel ramdisk

subdirs_make:
	/bin/sh ./get_files.sh -c; if [ "$$?" != "0" ] ; then exit ; fi; \
	for dir in $(SUB_DIRS) ; do \
		( cd $$dir && \
			$(MAKE) ARCH=$(ARCH) ) \
		|| exit $?; \
	done

clean:
	for dir in $(SUB_DIRS) ; do \
		( cd $$dir && \
			$(MAKE) ARCH=$(ARCH) clean ) \
		|| exit $$?; \
        done
 
install:
	/bin/sh ./get_files.sh -c; if [ "$$?" != "0" ] ; then exit ; fi; \
	if [ ! -d $(INSTROOT)/$(ZFCPDUMP_DIR) ]; then install -d $(INSTROOT)/$(ZFCPDUMP_DIR) -m 775; fi ; \
	for dir in $(SUB_DIRS) ; do \
		(cd $$dir && $(MAKE) ARCH=$(ARCH) install) \
		|| exit $$?; \
	done

=== debian/changelog ===
s390-tools (1.8.3-2~bpo50+1) lenny-backports; urgency=low

  * Rebuild for lenny-backports.

 -- Alexander Wirt <formorer@debian.org>  Mon, 13 Sep 2010 12:18:00 +0000

s390-tools (1.8.3-2) unstable; urgency=low

  * Add hook for kernel installation. (closes: #590028)

 -- Bastian Blank <waldi@debian.org>  Fri, 20 Aug 2010 13:36:21 +0200

s390-tools (1.8.3-1) unstable; urgency=low

  [ Bastian Blank ]
  * New upstream version. (closes: #566649)
  * Use 3.0 (quilt) source format.
  * Use debhelper compat level 7.
  * Set section to admin.
  * Don't install the scripts dbginfo.sh, scsi_logging_level and zfcpdbf.
  * Install ipl tools and vmur.
  * Install iucv terminal tools.
    - Move iucvtty to /sbin, it is a getty to be called from inittab.

  [ Frans Pop ]
  * lstape, chccwdev: use bash as shell. Closes: #566675.
  * Update debian/copyright and add upstream web site in debian/control.
  * Document 'optional' parameter in zipl.conf man page. Closes: #566642.
  * Include the upstream README in /usr/share/doc.
  * Fix dpkg-genchanges warning 'missing Priority for source files'.
  * Add dependency on gawk as lsdasd calls awk with the --posix option.
    Closes: #564893.

 -- Bastian Blank <waldi@debian.org>  Sun, 04 Apr 2010 10:35:45 +0200

s390-tools (1.6.2-1) unstable; urgency=low

  * New upstream version.
  * Install udev rules.

 -- Bastian Blank <waldi@debian.org>  Tue, 15 Jul 2008 23:55:41 +0200

s390-tools (1.5.3-1) unstable; urgency=low

  * New upstream version.

 -- Bastian Blank <waldi@debian.org>  Thu, 13 Apr 2006 13:12:00 +0200

s390-tools (1.5.1-1) unstable; urgency=low

  * New upstream version.

 -- Bastian Blank <waldi@debian.org>  Sat, 28 Jan 2006 21:03:00 +0100

s390-tools (1.3.1-2) unstable; urgency=low

  * zipl:
    - Add support for optional ipl images.

 -- Bastian Blank <waldi@debian.org>  Sun, 27 Jun 2004 18:45:15 +0200

s390-tools (1.3.1-1) unstable; urgency=low

  * New upstream version. (closes: #249731)
  * debian/control:
    - Update Priorities to match override.
  * debian/rules:
    - Use debhelper udeb support.

 -- Bastian Blank <waldi@debian.org>  Fri, 18 Jun 2004 19:08:55 +0200

s390-tools (1.2.4-1) unstable; urgency=low

  * New upstream version. (closes: #231441)
  * debian/compat:
    - Add.
  * debian/control:
    - Build-Depend against libtool (>> 4.0.0), di-packages-build (>= 0.6).
    - Set Standards-Version to 3.6.1, no changes.
  * debian/rules:
    - Use di-packages-build.

 -- Bastian Blank <waldi@debian.org>  Fri, 06 Feb 2004 18:24:20 +0100

s390-tools (1.2.1-2) unstable; urgency=low

  * Makefile
    - reenable zdump, qetharp, qethconf

 -- Bastian Blank <waldi@debian.org>  Sat, 01 Nov 2003 14:33:32 +0100

s390-tools (1.2.1-1) unstable; urgency=low

  * new upstream version
  * debian/control
    - maintainer is now debian-s390@lists.debian.org
    - uploaders are Bastian Blank and Jochen Röhrig
  * remove old parsecfg stuff

 -- Bastian Blank <waldi@debian.org>  Fri, 01 Aug 2003 22:54:10 +0200

s390-tools (1.1.6-1) unstable; urgency=low

  * new upstream version
  * debian/control
    - don't depend against kernel-source
    - new package s390-tools-udeb
  * fdsds/Makefile, dasdfmt/Makefile
    - use -Os -fomit-frame-pointer

 -- Bastian Blank <waldi@debian.org>  Thu, 24 Oct 2002 19:25:12 +0200

s390-tools (0.0.20020226-4) unstable; urgency=high

  * Corrected maintainer mail address.

 -- Jochen Röhrig <jr@debian.org>  Fri, 19 Apr 2002 14:15:38 +0200

s390-tools (0.0.20020226-3) unstable; urgency=high

  * Corrected link to the IBM Developerworks documentation
    in zgetdump.8.
  * Changed build-dependency from kernel-headers-2.4.7 to
    kernel-headers-2.4.17.
  * Set urgency to high since the old s390-tools won't build
    any longer as soon as the kernel-headers-2.4.7-packages is
    removed from the archive.

 -- Jochen Röhrig <jr@debian.org>  Fri, 19 Apr 2002 01:12:44 +0200

s390-tools (0.0.20020226-2) unstable; urgency=critical

  * Set urgency to "critical" since this version of s390-tools is
    needed in order to build the current boot-floppies in testing.
  * Updated the link to the "LINUX for S/390 Device Drivers and
    Installation Commands"-book in some of the man pages.

 -- Jochen Röhrig <jr@debian.org>  Mon, 11 Mar 2002 18:48:06 +0100

s390-tools (0.0.20020226-1) unstable; urgency=low

  * Integrated new patches from the IBM Developerworks website
     (s390-tools-4.tar.gz, released on 2001.12.12 and
      s390-tools-5.tar.gz, released on 2002.02.26).
  * Upgraded parsecfg to version 3.6.9.

 -- Jochen Röhrig <jr@debian.org>  Wed, 27 Feb 2002 20:20:26 +0100

s390-tools (0.0.20011109-2) unstable; urgency=low

  * Removed symlinks

           /sbin/fdisk -> fdasd
    and    /usr/share/man/man8/fdisk.8.gz -> fdasd.8.gz

    (not needed any longer by the S/390 boot-floppies).

 -- Jochen Röhrig <jr@debian.org>  Wed, 12 Dec 2001 22:55:12 +0100

s390-tools (0.0.20011109-1) unstable; urgency=low

  * Integrated new patch from the IBM Developerworks website
     (s390-tools-3.tar.gz, released on 2001.11.09).
    New tool: dasdview

 -- Jochen Röhrig <jr@debian.org>  Wed, 14 Nov 2001 21:23:04 +0100

s390-tools (0.0.20011012-1) unstable; urgency=low

  * Integrated new patch from the IBM Developerworks website
     (s390-tools-2.tar.gz, released on 2001.10.12).
  * Updated the links to the documents on the IBM Developerworks
    website.

 -- Jochen Röhrig <jr@debian.org>  Tue, 30 Oct 2001 20:53:46 +0100

s390-tools (0.0.20010820-2) unstable; urgency=low

  * Added symlinks

           /sbin/fdisk -> fdasd
    and    /usr/share/man/man8/fdisk.8.gz -> fdasd.8.gz

    needed by the S/390 boot-floppies.

 -- Jochen Röhrig <jr@debian.org>  Thu, 30 Aug 2001 22:52:21 +0200

s390-tools (0.0.20010820-1) unstable; urgency=low

  * New upstream release.
  * Support configuration files for zipl (integrated Yuuki NINOMIYA's
    parsecfg-tool).

 -- Jochen Röhrig <jr@debian.org>  Mon, 27 Aug 2001 19:23:53 +0200



=== debian/control ===
Source: s390-tools
Section: admin
Priority: important
Maintainer: Debian S/390 Team <debian-s390@lists.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>
Build-Depends: debhelper (>> 7), libsysfs-dev, libz-dev, quilt
Standards-Version: 3.8.3
Homepage: http://www.ibm.com/developerworks/linux/linux390/s390-tools.html

Package: s390-tools
Architecture: s390
Depends: ${shlibs:Depends}, ${misc:Depends}, gawk
Description: A set of fundamental utilities for Linux on S/390
 The package contains:
  * dasdfmt, which is used to low-level format ECKD-DASDs with either
    the classic disk layout or the new zSeries compatible disk layout.
  * dasdview, which is used to display DASD and VTOC information or to
    dump the contents of a DASD to the console.
  * fdasd, which is used to create or modify partitions on ECKD-DASDs
    formatted with the zSeries compatible disk layout.
  * zipl, which is used to make either dasds or tapes bootable for
    system IPL or system dump.
  * zgetdump, which is used to retrieve system dumps from either tapes
    or dasds.

Package: s390-tools-udeb
XC-Package-Type: udeb
Section: debian-installer
Priority: standard
Architecture: s390
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A set of utilities for Linux on S/390
 This is a minimal package used by debian-installer.
 This package contains only the binaries dasdfmt and fdasd.

## s390-tools 1.14.0

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 SUB_DIRS = $(LIB_DIRS) zipl zdump fdasd dasdfmt dasdview tunedasd \
 	   tape390 osasnmpd qetharp ip_watcher qethconf scripts zconf \
 	   vmconvert vmcp man mon_tools dasdinfo vmur cpuplugd ipl_tools \
-	   ziomon iucvterm
+	   ziomon iucvterm hyptop cmsfs-fuse
 
 all: subdirs_make

=== cpuplugd/Makefile ===
--- 
+++ 
@@ -4,13 +4,13 @@
 
 all: cpuplugd
 
-LDLIBS = -lpthread
+LDLIBS += -lpthread
 
 OBJECTS = daemon.o cpu.o info.o terms.o config.o main.o getopt.o mem.o vmstat.o
 $(OBJECTS): cpuplugd.h
 
 cpuplugd: $(OBJECTS)
-	$(LINK) $^ -o $@ $(LDLIBS)
+	$(LINK) $(LDFLAGS) $^ $(LOADLIBES) $(LDLIBS) -o $@
 
 clean:
 	rm -f cpuplugd $(OBJECTS)

=== zconf/Makefile ===
--- 
+++ 
@@ -4,15 +4,17 @@
 include ../common.mak
 
 SCRIPTS	= lsdasd lstape lscss chccwdev lsqeth lszfcp lschp chchp lszcrypt \
-	  chzcrypt lsluns cio_ignore znetconf
+	  chzcrypt cio_ignore znetconf
+USRSBIN_SCRIPTS = lsmem chmem lsluns
 MANPAGES= lsdasd.8 lstape.8 lscss.8 chccwdev.8 lsqeth.8 lszfcp.8 lschp.8 \
-	  chchp.8 lszcrypt.8 chzcrypt.8 lsluns.8 cio_ignore.8 znetconf.8
+	  chchp.8 lszcrypt.8 chzcrypt.8 lsluns.8 cio_ignore.8 znetconf.8 \
+	  chmem.8 lsmem.8
 
 all:
 
 clean:
 
-install:	install-scripts install-manpages
+install:	install-scripts install-manpages install-usrsbin-scripts
 	$(INSTALL) -g $(GROUP) -o $(OWNER) -m 755 lsznet.raw $(TOOLS_LIBDIR)
 	$(INSTALL) -g $(GROUP) -o $(OWNER) -m 755 znetcontrolunits \
 		$(TOOLS_LIBDIR)
@@ -24,6 +26,15 @@
 		>$(BINDIR)/$$i; \
 		chown $(OWNER).$(GROUP) $(BINDIR)/$$i; \
 		chmod 755 $(BINDIR)/$$i; \
+	done
+
+install-usrsbin-scripts:	$(USRSBIN_SCRIPTS)
+	@for i in $^; do \
+		cat $$i | \
+		sed -e 's+%S390_TOOLS_VERSION%+$(S390_TOOLS_RELEASE)+' \
+		>$(USRSBINDIR)/$$i; \
+		chown $(OWNER).$(GROUP) $(USRSBINDIR)/$$i; \
+		chmod 755 $(USRSBINDIR)/$$i; \
 	done
 
 install-manpages:	$(MANPAGES)
@@ -38,4 +49,4 @@
 		install -o $(OWNER) -g $(GROUP) -m 644 $$i $(MANDIR)/man8; \
 	done
 
-.PHONY: all install clean install-scripts install-manpages
+.PHONY: all install clean install-scripts install-manpages install-usrsbin-scripts

=== debian/changelog ===
s390-tools (1.14.0-1) unstable; urgency=low

  * New upstream release.
  * Change priority of s390-tools-udeb to the current override value
    `optional'.  It is still pulled in by other installer components.
  * Avoid calling zipl multiple times.  (Closes: #599931)
  * Build hyptop: a utility to monitor the resource usage of other
    guests running on the same LPAR or z/VM hypervisor.
  * Build cmsfs-fuse: userspace filesystem access to z/VM CMS disks.
  * Install chzcrypt, chmem and lsmem.

 -- Philipp Kern <pkern@debian.org>  Wed, 26 Oct 2011 16:11:35 +0200

s390-tools (1.13.0-2) unstable; urgency=medium

  * Re-add s390x support from 1.8.3-4.  (Closes: #637261)
  * Add build-dependency on libfuse-dev.  (Closes: #645836) 

 -- Philipp Kern <pkern@debian.org>  Wed, 19 Oct 2011 10:00:12 +0200

s390-tools (1.13.0-1) unstable; urgency=low

  * New upstream release.
  * Refresh the patches against the new upstream release.
  * Add support-linux-3.patch to fix a check for Linux < 2.6.
  * Build zipl boot block with -m64 to support the new assembler
    instructions.  Also build-depend on gcc-multilib for that.
  * Add myself to uploaders.

 -- Philipp Kern <pkern@debian.org>  Thu, 06 Oct 2011 23:06:07 +0200

s390-tools (1.8.3-3) unstable; urgency=high

  * Don't fail hook if zipl.conf is missing. (closes: #600100)
  * Install initramfs update hook. (closes: #594127)

 -- Bastian Blank <waldi@debian.org>  Thu, 21 Oct 2010 17:16:41 +0200

## s390-tools 1.16.0

=== Makefile ===
--- 
+++ 
@@ -13,15 +13,15 @@
 
 subdirs_make:
 	set -e ; for dir in $(SUB_DIRS) ; do \
-		( cd $$dir ; $(MAKE) TOPDIR=$(TOPDIR) ARCH=$(ARCH); cd .. ); \
+		cd $$dir ; $(MAKE) TOPDIR=$(TOPDIR) ARCH=$(ARCH); cd ..; \
 	done
 
 clean:
 	set -e ; for dir in $(SUB_DIRS) ; do \
-		( cd $$dir ; $(MAKE) TOPDIR=$(TOPDIR) ARCH=$(ARCH) clean; cd .. ); \
+		cd $$dir ; $(MAKE) TOPDIR=$(TOPDIR) ARCH=$(ARCH) clean; cd ..; \
 	done
 
 install:
 	set -e ; for dir in $(SUB_DIRS) ; do \
-		( cd $$dir ; $(MAKE) TOPDIR=$(TOPDIR) ARCH=$(ARCH) install; cd .. ); \
+		cd $$dir ; $(MAKE) TOPDIR=$(TOPDIR) ARCH=$(ARCH) install; cd ..; \
 	done

=== cmsfs-fuse/Makefile ===
#!/usr/bin/make -f

include ../common.mak

CPPFLAGS += -I../include

all: cmsfs-fuse

CFLAGS += -D_FILE_OFFSET_BITS=64 -DHAVE_SETXATTR -I/usr/include/fuse
LDLIBS += -lfuse -lpthread -lrt -ldl -lm

OBJECTS = cmsfs-fuse.o dasd.o amap.o config.o
$(OBJECTS): *.h Makefile 

CMSFS_FUSE_DIR = $(SYSCONFDIR)/cmsfs-fuse
CONFIG_FILES = filetypes.conf

cmsfs-fuse: $(OBJECTS)

install: all
	$(INSTALL) -g $(GROUP) -o $(OWNER) -m 755 cmsfs-fuse $(USRBINDIR)
	$(INSTALL) -g $(GROUP) -o $(OWNER) -m 644 cmsfs-fuse.1 $(MANDIR)/man1
	$(INSTALL) -g $(GROUP) -o $(OWNER) -d $(CMSFS_FUSE_DIR)
	for cnf in $(CONFIG_FILES); do \
	  $(INSTALL) -g $(GROUP) -o $(OWNER) -m 644 etc/$$cnf $(CMSFS_FUSE_DIR) ; \
	done

clean:
	rm -f cmsfs-fuse *.o

.PHONY: all install clean

=== dasdfmt/Makefile ===
include ../common.mak

CPPFLAGS += -I../include

all: dasdfmt

dasdfmt.o: dasdfmt.h ../include/zt_common.h

dasdfmt: dasdfmt.o ../libvtoc/vtoc.o

install: all
	$(INSTALL) -d -m 755 $(BINDIR) $(MANDIR)/man8
	$(INSTALL) -g $(GROUP) -o $(OWNER) -m 755 dasdfmt $(BINDIR)
	$(INSTALL) -g $(GROUP) -o $(OWNER) -m 644 dasdfmt.8  $(MANDIR)/man8 

clean:
	rm -f *.o *~ dasdfmt core

.PHONY: all install clean

=== fdasd/Makefile ===
include ../common.mak

CPPFLAGS += -I../include

all: fdasd

fdasd.o: fdasd.h ../include/zt_common.h

fdasd: fdasd.o ../libvtoc/vtoc.o

install: all
	$(INSTALL) -d -m 755 $(BINDIR) $(MANDIR)/man8
	$(INSTALL) -g $(GROUP) -o $(OWNER) -m 755 fdasd $(BINDIR)
	$(INSTALL) -g $(GROUP) -o $(OWNER) -m 644 fdasd.8  $(MANDIR)/man8 

clean:
	rm -f *.o *~ fdasd core

.PHONY: all install clean

=== hyptop/Makefile ===
include ../common.mak

CPPFLAGS += -I../include

all: hyptop

LDLIBS += -lncurses

OBJECTS = hyptop.o opts.o helper.o \
	  sd_core.o sd_sys_items.o sd_cpu_items.o \
	  tbox.o table.o table_col_unit.o \
	  dg_debugfs.o dg_debugfs_lpar.o dg_debugfs_vm.o \
	  win_sys_list.o win_sys.o win_fields.o \
	  win_cpu_types.o win_help.o nav_desc.o

$(OBJECTS): *.h Makefile

hyptop: $(OBJECTS)

install: all
	$(INSTALL) -g $(GROUP) -o $(OWNER) -m 755 hyptop $(USRSBINDIR)
	$(INSTALL) -g $(GROUP) -o $(OWNER) -m 644 hyptop.8  $(MANDIR)/man8

clean:
	rm -f *.o *~ hyptop core

.PHONY: all install clean

=== ip_watcher/Makefile ===
include ../common.mak

CPPFLAGS += -I../include
all: xcec-bridge

xcec-bridge: xcec-bridge.o

clean:
	rm -f *.o core xcec-bridge

install: ip_watcher.pl xcec-bridge start_hsnc.sh
	@cat start_hsnc.sh | \
	sed -e 's+%S390_TOOLS_VERSION%+$(S390_TOOLS_RELEASE)+' \
	>$(USRSBINDIR)/start_hsnc.sh; \
	chown $(OWNER).$(GROUP) $(USRSBINDIR)/start_hsnc.sh; \
	chmod 755 $(USRSBINDIR)/start_hsnc.sh; \
	$(INSTALL) -g $(GROUP) -o $(OWNER) -m 755 ip_watcher.pl $(USRSBINDIR)
	$(INSTALL) -g $(GROUP) -o $(OWNER) -m 755 xcec-bridge $(USRSBINDIR)

.PHONY: all install clean

=== ipl_tools/Makefile ===
--- 
+++ 
@@ -2,15 +2,22 @@
 
 CPPFLAGS += -I../include
 
-all: chreipl
+all: chreipl lsreipl chshut lsshut
 
-objects = main.o getopt.o ccw.o fcp.o system.o sa.o ipl.o
-$(objects): chreipl.h
+objects = main.o ccw.o fcp.o system.o \
+	  cmd_lsshut.o cmd_chshut.o cmd_lsreipl.o cmd_chreipl.o proc.o
+$(objects): ipl_tools.h
 
 chreipl: $(objects)
-	$(LINK) $^ -o $@
+	$(LINK) $(LDFLAGS) $^ $(LOADLIBES) $(LDLIBS) -o $@
+
+lsreipl:
 	ln -sf chreipl lsreipl
+
+chshut:
 	ln -sf chreipl chshut
+
+lsshut:
 	ln -sf chreipl lsshut
 
 clean:

=== qetharp/Makefile ===
include ../common.mak

CPPFLAGS += -I../include

all: qetharp

qetharp.o: qeth26.h qetharp.h

qetharp: qetharp.o

install: all
	$(INSTALL) -d -m 755 $(MANDIR)/man8 $(BINDIR)
	$(INSTALL) -m 755 qetharp $(BINDIR)
	$(INSTALL) -m 644 qetharp.8 $(MANDIR)/man8 

clean:
	rm -f qetharp *.o *~ core

.PHONY: all install clean

=== qethconf/Makefile ===
include ../common.mak

all:

install: qethconf
	cat qethconf | \
	sed -e 's+%S390_TOOLS_VERSION%+$(S390_TOOLS_RELEASE)+' \
	>$(BINDIR)/qethconf; \
	chown $(OWNER).$(GROUP) $(BINDIR)/qethconf; \
	chmod 755 $(BINDIR)/qethconf; \
	$(INSTALL) -d -m 755 $(BINDIR) $(MANDIR)/man8
	$(INSTALL) -g $(GROUP) -o $(OWNER) -m 644 qethconf.8  $(MANDIR)/man8

clean:

.PHONY: all install clean

=== scripts/Makefile ===
include ../common.mak

SCRIPTS	= dbginfo.sh zfcpdbf scsi_logging_level

all:

install:
	$(INSTALL) -d -m 755 $(BINDIR) $(MANDIR)/man1
	@for i in $(SCRIPTS); \
	do \
		cat $$i | \
		sed -e 's+%S390_TOOLS_VERSION%+$(S390_TOOLS_RELEASE)+' \
		>$(BINDIR)/$$i; \
		chown $(OWNER):$(GROUP) $(BINDIR)/$$i; \
		chmod 755 $(BINDIR)/$$i; \
	done
	$(INSTALL) -g $(GROUP) -o $(OWNER) -m 644 zfcpdbf.1 $(MANDIR)/man1;

clean:

.PHONY: all install clean

=== vmconvert/Makefile ===
--- 
+++ 
@@ -1,6 +1,7 @@
 include ../common.mak
 
 CPPFLAGS += -D_FILE_OFFSET_BITS=64 -I../include
+LDLIBS += -lz
 
 all: vmconvert
 
@@ -11,7 +12,7 @@
 convert.o: convert.cpp vm_dump.h lkcd_dump.h
 
 vmconvert: main.o lkcd_dump.o vm_dump.o register_content.o dump.o convert.o
-	$(LINKXX) $^ -o $@ -lz
+	$(LINKXX) $(LDFLAGS) $^ $(LOADLIBES) $(LDLIBS) -o $@
 
 install: all
 	$(INSTALL) -d -m 755 $(USRBINDIR) $(MANDIR)/man8

=== vmcp/Makefile ===
include ../common.mak

CPPFLAGS += -I../include

all: vmcp

vmcp.o: vmcp.c vmcp.h ../include/zt_common.h

vmcp: vmcp.o

install: all
	$(INSTALL) -d -m 755 $(BINDIR) $(MANDIR)/man8
	$(INSTALL) -g $(GROUP) -o $(OWNER) -m 755 vmcp $(BINDIR)
	$(INSTALL) -g $(GROUP) -o $(OWNER) -m 644 vmcp.8 $(MANDIR)/man8 

clean:
	rm -f *.o *~ vmcp core

.PHONY: all install clean

=== debian/changelog ===
s390-tools (1.16.0-2) unstable; urgency=low

  * Drop the now non-existent vol_id from the shipped udev ruleset
    and use blkid instead.

 -- Philipp Kern <pkern@debian.org>  Fri, 30 Nov 2012 22:10:43 +0000

s390-tools (1.16.0-1) unstable; urgency=low

  * New upstream release.
  * Drop patches that are no longer needed:
    - error.patch
    - support-linux-3.patch
  * Refresh the remaining patches.

 -- Philipp Kern <pkern@debian.org>  Wed, 14 Dec 2011 09:59:38 +0000

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: admin
 Priority: important
 Maintainer: Debian S/390 Team <debian-s390@lists.debian.org>
-Uploaders: Bastian Blank <waldi@debian.org>
-Build-Depends: debhelper (>> 7), libsysfs-dev, libz-dev, quilt
+Uploaders: Bastian Blank <waldi@debian.org>, Philipp Kern <pkern@debian.org>
+Build-Depends: debhelper (>> 7), libsysfs-dev, libz-dev, quilt, gcc-multilib, libfuse-dev, libncurses-dev
 Standards-Version: 3.8.3
 Homepage: http://www.ibm.com/developerworks/linux/linux390/s390-tools.html
 
 Package: s390-tools
-Architecture: s390
+Architecture: s390 s390x
 Depends: ${shlibs:Depends}, ${misc:Depends}, gawk
 Description: A set of fundamental utilities for Linux on S/390
  The package contains:
@@ -26,8 +26,8 @@
 Package: s390-tools-udeb
 XC-Package-Type: udeb
 Section: debian-installer
-Priority: standard
-Architecture: s390
+Priority: optional
+Architecture: s390 s390x
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: A set of utilities for Linux on S/390
  This is a minimal package used by debian-installer.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

SOURCE  := $(shell dpkg-parsechangelog | sed -ne 's,^Source: *\(.*\)$$,\1,p')
VERSION := $(shell dpkg-parsechangelog | perl -ne '/^Version:\s+(\S+)-[^-]+$$/ && print $$1;')

BUILD_DIR = debian/build
STAMPS_DIR = debian/stamps

setup: $(STAMPS_DIR)/setup

$(STAMPS_DIR)/setup: SOURCE_FILES = $(filter-out debian .svn .svk, $(wildcard * .[^.]*))
$(STAMPS_DIR)/setup: DIR = $(BUILD_DIR)/build
$(STAMPS_DIR)/setup:
	@[ -d $(STAMPS_DIR) ] || mkdir -p $(STAMPS_DIR)
	dh_testdir
	@rm -rf $(DIR)
	QUILT_PATCHES=debian/patches quilt --quiltrc /dev/null push -a || test $$? = 2
	mkdir -p $(DIR)
	cp -a $(SOURCE_FILES) $(DIR)
	touch $@

build: $(STAMPS_DIR)/build

$(STAMPS_DIR)/build: DIR = $(BUILD_DIR)/build
$(STAMPS_DIR)/build: $(STAMPS_DIR)/setup
	dh_testdir
	$(MAKE) -C $(DIR)
	touch $@

clean:
	dh_testdir
	rm -rf $(BUILD_DIR) $(STAMPS_DIR)
	dh_clean

maintainerclean:
	rm -rf $(filter-out .svn debian, $(wildcard * .[^.]*))

install: DIR = $(BUILD_DIR)/build
install: INSTALL_DIR = $(BUILD_DIR)/install
install: $(STAMPS_DIR)/build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) -C $(DIR) install INSTROOT=$(CURDIR)/$(INSTALL_DIR)

	dh_install --sourcedir=$(INSTALL_DIR)

binary-indep:

binary-arch: install
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installudev -a --priority=65
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch

DIR_ORIG = ../orig/$(SOURCE)-$(VERSION)
TAR_ORIG_NAME = $(SOURCE)_$(VERSION).orig.tar.bz2
TAR_ORIG = $(firstword $(wildcard ../$(TAR_ORIG_NAME)) $(wildcard ../orig/$(TAR_ORIG_NAME)))

orig: $(DIR_ORIG)
	rsync --delete --exclude debian --exclude .svk --exclude .svn --link-dest=$(DIR_ORIG)/ -a $(DIR_ORIG)/ .

$(DIR_ORIG):
ifeq ($(TAR_ORIG),)
	$(error Cannot find orig tarball $(TAR_ORIG_NAME))
else
	mkdir -p ../orig
	tar -C ../orig -xjf $(TAR_ORIG)
endif
